Subject: bug#12187: closed (Re: bug#12187: 24.1.50; `Info-breadcrumbs-depth' should show `File:' without ".info" suffix)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 22 Aug 2012 23:46:03 +0000

Your bug report

#12187: 24.1.50; Regression: `Info-breadcrumbs-depth' should show `File:' without ".info" suffix

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
12187: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=12187
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#12187: 24.1.50; `Info-breadcrumbs-depth' should show `File:' without ".info" suffix
From: Juri Linkov <[email-masked]>
To: "Drew Adams" <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Thu, 23 Aug 2012 02:33:05 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

>> I agree with Stefan - please elide the suffix in Emacs, at least.
>> That could be done during rendering, if you do not think that
>> makeinfo should do it generally.
>
> This can be implemented in Emacs with the following patch.
> The change should have no bad effect in case when makeinfo
> will be changed to produce file names without suffix in the header.

Installed and closed.

Subject: 24.1.50; Regression: `Info-breadcrumbs-depth' should show `File:' without ".info" suffix
From: "Drew Adams" <[email-masked]>
To: <[email-masked]>
Date: Sun, 12 Aug 2012 14:00:25 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

emacs -Q
 
Set option `Info-breadcrumbs-depth' to 0.
 
Visit an Info node.  You will see something like this:
 
 File: elisp.info,  Node: Introduction
 
We should not be displaying the suffix ".info".  The "file" name here is
intended to indicate which manual you are in.  Showing the ".info"
suffix is a distraction that reflects the implementation, and it wastes
space.  This is a (minor) regression.
 
In GNU Emacs 24.1.50.1 (i386-mingw-nt5.1.2600)
 of 2012-08-08 on DANI-PC
Bzr revision: 109511 [email-masked]
Windowing system distributor `Microsoft Corp.', version 5.1.2600
Configured using:
 `configure --with-gcc (4.7) --no-opt --enable-checking --cflags
 -I../../libs/libxpm-3.5.8/include -I../../libs/libxpm-3.5.8/src
 -I../../libs/libpng-1.4.10 -I../../libs/zlib-1.2.6
 -I../../libs/giflib-4.1.4-1/include -I../../libs/jpeg-6b-4/include
 -I../../libs/tiff-3.8.2-1/include
 -I../../libs/libxml2-2.7.8-w32-bin/include/libxml2
 -I../../libs/gnutls-3.0.16/include
 -I../../libs/libiconv-1.14-2-mingw32-dev/include'